QXmpp: QXmppSendStanzaParams Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppSendStanzaParams Class Reference

## Public Member Functions
| QXmppSendStanzaParams (const QXmppSendStanzaParams &other)
| Copy-constructor.
| QXmppSendStanzaParams (QXmppSendStanzaParams &&)
| Move-constructor.
QXmppSendStanzaParams & | operator= (const QXmppSendStanzaParams &)
| Assignment operator.
QXmppSendStanzaParams & | operator= (QXmppSendStanzaParams &&)
| Move-assignment operator.
QVector< QString > | encryptionJids () const
void | setEncryptionJids (QVector< QString >)
std::optional< QXmpp::TrustLevels > | acceptedTrustLevels () const
void | setAcceptedTrustLevels (std::optional< QXmpp::TrustLevels > trustLevels)

## Detailed Description

Contains additional parameters for sending stanzas.

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ acceptedTrustLevels()

std::optional< TrustLevels > QXmppSendStanzaParams::acceptedTrustLevels | ( |  | ) | const

Returns the possible trust levels a key must have to be used for encryption.

If no trust levels are set, the encryption manager uses an own default.

Returns
  the trust levels of the keys used for encryption

## ◆ encryptionJids()

QVector< QString > QXmppSendStanzaParams::encryptionJids | ( |  | ) | const

Returns the list of JIDs that the stanza should be encrypted for.

If this is empty, the stanza should be encrypted for the recipient. This option is useful for groupchats.

## ◆ setAcceptedTrustLevels()

void QXmppSendStanzaParams::setAcceptedTrustLevels | ( | std::optional< QXmpp::TrustLevels > | trustLevels | ) |

Sets the possible trust levels a key must have to be used for encryption.

If no trust levels are set, the encryption manager uses an own default.

Parameters

  trustLevels | trust levels of the keys used for encryption

## ◆ setEncryptionJids()

void QXmppSendStanzaParams::setEncryptionJids | ( | QVector< QString > | encryptionJids | ) |

Sets the list of JIDs that the stanza should be encrypted for.

If this is empty, the stanza should be encrypted for the recipient. This option is useful for groupchats.

The documentation for this class was generated from the following files:

- QXmppSendStanzaParams.h
- QXmppSendStanzaParams.cpp